### Constructor

# Phosh GeoClueDBusOrgFreedesktopGeoClue2AgentSkeleton new

#### Declaration [src]

    PhoshGeoClueDBusOrgFreedesktopGeoClue2Agent*
    phosh_geo_clue_dbus_org_freedesktop_geo_clue2_agent_skeleton_new (
      void
    )

#### Description [src]

Creates a skeleton object for the D-Bus interface org.freedesktop.GeoClue2.Agent.

#### Return value

Type: `PhoshGeoClueDBusOrgFreedesktopGeoClue2AgentSkeleton`

The skeleton object.

The caller of the function takes ownership of the data, and is responsible for freeing it.